io.undertow.server

## Interface DefaultResponseListener

    public interface DefaultResponseListener

Listener interface for default response handlers. These are handlers that generate default content such as error pages.

Author:
  Stuart Douglas

### Field Summary

Fields
`static AttachmentKey<Throwable>` `EXCEPTION` If the default response listener was invoked as a result of an exception being thrown then the exception will be available under this attachment key.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `handleDefaultResponse(HttpServerExchange exchange)`

### Field Detail

#### EXCEPTION

    static final AttachmentKey<Throwable> EXCEPTION

If the default response listener was invoked as a result of an exception being thrown then the exception will be available under this attachment key.

### Method Detail

#### handleDefaultResponse

    boolean handleDefaultResponse(HttpServerExchange exchange)

Parameters:
  `exchange` - The exchange
Returns:
  true if this listener is generating a default response.